#include <QApplication>
#include <QDesktopWidget>
#include <QtGui>
#include <QGraphicsRectItem>

#include <QtXml>

#include "mainwindow.h"
#include "Zombie.h"
#include "picture.h"

QList <QString> pictures;

int main(int argc, char *argv[]) {
    QApplication app(argc, argv);
    qsrand(QTime(0,0,0).secsTo(QTime::currentTime()));

    float px2mmScreen = 25.4 / QGuiApplication::primaryScreen()->physicalDotsPerInch();  //conversion dpi -> mm/px

    pictures.push_back(":/images/logo_mint.png");
    pictures.push_back(":/images/doigt.png");
    pictures.push_back(":/images/holocubtile.jpg");
    pictures.push_back(":/images/fingermap.png");
    pictures.push_back(":/images/logo_region.gif");
    pictures.push_back(":/images/curseur_digital_transp.png");
    pictures.push_back(":/images/benddesk.jpg");

    QGraphicsScene scene;
    for(int i=0; i<pictures.size(); i++){
        Picture *pic = new Picture(pictures.at(i), px2mmScreen);
        pic->setPos(sin(i*6.28/pictures.size()) * 500 - pic->boundingRect().width()/2, cos(i*6.28/pictures.size()) * 300 - pic->boundingRect().height()/2);
        scene.addItem(pic);
    }

    MainWindow view(&scene);
    view.setRenderHint(QPainter::Antialiasing);
    view.setCacheMode(QGraphicsView::CacheBackground);
    view.setViewportUpdateMode(QGraphicsView::BoundingRectViewportUpdate);
    view.setWindowTitle(QT_TRANSLATE_NOOP(QGraphicsView, "MT Photo"));
#ifndef MAXI_FULLSCREEN
    view.showMaximized();
    //view.showFullScreen();
#else
    // Fill the whole virtual display.
    view.setWindowFlags(view.windowFlags() | Qt::FramelessWindowHint);
    view.setGeometry(QApplication::desktop()->geometry());
#ifdef WIN32
    view.show();
#else
    view.showFullScreen();
#endif
#endif
    scene.setSceneRect(-view.width()/2.0, -view.height()/2.0,
                       view.width(), view.height());  //set the maximum area visible with the scrollbars

    QBrush b;
    b.setStyle(Qt::CrossPattern);
    b.setColor(QColor(200,230,255));
    b.setTransform(QTransform::fromScale(12.5/px2mmScreen,12.5/px2mmScreen));
    scene.setBackgroundBrush(b);
    /*QPixmap pix(":/images/testbackground.jpg");
    QBrush b(pix);
    b.setTransform(QTransform::fromTranslate(-view.width()/2.0, -view.height()/2.0)
                   .scale(view.width()/(float)pix.width(), view.height()/(float)pix.height()));
    scene.setBackgroundBrush(b);*/

    Zombie zombie(&view);
    zombie.show();

    return app.exec();
}

