#ifndef PICTURE_H
#define PICTURE_H

#include <QGraphicsObject>
#include <QTouchEvent>

class Picture : public QGraphicsObject
{
    Q_OBJECT

protected:
    float x_width, y_height;
    float px2mmScreen;

    QPixmap img;

public:
    Picture(QString path, float paramPx2mmScreen);

    QRectF boundingRect() const;
    QPainterPath shape() const;
    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
    bool sceneEvent(QEvent *event);

    float getWidth(){ return x_width; }
    float getHeight(){ return y_height; }
};

#endif // PICTURE_H
