#include "ripple.h"

#include <QApplication>
#include <QPainter>
#include <QTouchEvent>
#include <QGraphicsBlurEffect>

#define ADJUST 10
#define THICKNESS 30

Ripple::Ripple() : QGraphicsObject()
{
    setOpacity(0.3);
}

float Ripple::getRadius(){
    return radius;
}

void Ripple::setRadius(float r){
    radius = r;
    update();
}

QRectF Ripple::boundingRect() const
{
    return QRectF(-radius - ADJUST, -radius - ADJUST,
                  2*radius + 2*ADJUST, 2*radius + 2*ADJUST);
}

void Ripple::paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *)
{
    QPen pen;
    pen.setBrush(Qt::blue);
    pen.setWidth(1);
    painter->setPen(pen);
    painter->drawEllipse(-radius, -radius, radius*2, radius*2) ;
}
